Env selection doesn't persists when we update env of selected activation-key
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1089637

Description of problem:

| created an activation-key with default env 'Library’ and default content view. Later | created an env 'dev' and created a 'cv1'. But
when | tried to update the environment of selected activation key to 'dev’, the selection doesn't persists on save. Ul always select
'Library' as an env even if we choose 'dev' env ( along with an CV in that env)

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140404.0

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.5.0.18-1.el6sat.noarch
foreman-compute-1.5.0.18-1.el6sat.noarch
foreman-libvirt-1.5.0.18-1.el6sat.noarch
foreman-postgresql-1.5.0.18-1.el6sat.noarch
foreman-proxy-1.5.5-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
katello-1.5.0-19.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.33-1.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-5.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-15.el6sat.noarch
https://bugzilla.redhat.com/show_bug.cgi?id=1089637

How reproducible:
always

Steps to Reproduce:
1. Create a activation key with default env as 'Library' and default cv too
2. create a new env 'dev' and promote a CV to dev

3. now update created activation-key's env and select 'dev' and then created cv under dev.

4. when you save the changes, Ul again select the 'Library’

Actual results:
Env selection doesn't persists when we update env of selected activation-key

Expected results:
Ul should show updated env.

Additional info:

History

#1 - 05/07/2014 08:06 PM - Thomas McKay
- Status changed from New to Assigned

- Triaged set to No

#2 - 06/05/2014 02:46 AM - Eric Helms
- Status changed from Assigned to Closed

- Triaged changed from No to Yes

Tested locally and could not reproduce.

#3 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
